# Forward Midi events to redis/OSC

Miredis hooks to all midi devices connected and listen for events.
Miredis can optionnaly hook to opensourced Link protocol (200+ music & videos apps) -> "/beat" & "/bpm"
All events are forwarded to a redis server and an OSC server.

Run :

python3 miredis.py

See options :

python3 miredis.py -h

To enable Link : 

python3 miredis.py -link

## New Features

- Added verbose mode -v
- Added redis subscribe events


## OSC

/midi/noteon midichannel note velocity

/midi/noteoff midichannel note 

/midi/cc midichannel ccnumber value

/midi/clock

/midi/start

/midi/stop

/beat beatnumber

/bpm   bpm


## Redis keys

"/midi/noteon/midichannel"      value : "note/velocity"

"/midi/noteoff/midichannel"     value : "note"

"/midi/cc/midichannel/ccnumber" value : "ccvalue"

"/beat"							value : "beatnumber"

"/bpm"							value : "currentbpm"



## Redis : midi events published to "/midi/last_event"

"/midi/noteon/midichannel/note/velocity"

"/midi/noteoff/midichannel/note

"/midi/cc/midichannel/ccnumber/ccvalue"

